<template>
  <div class="banner_div">
    <section class="banner_slide">

      <v-carousel height="auto" hide-delimiter-background :show-arrows="home_banners.length==1?false:true"  :hide-delimiters="home_banners.length==1?true:false">
    <v-carousel-item  v-for="(banner, i) in home_banners" :key="i">
      <v-sheet
        height="100%"
        tile
      >
      <div class="banner" :style="getBackgroundImage(banner)">
          <div class="container">
            <div class="row">
              <div class="col-12">
                <div class="banner_cnt">
                  <h2>{{ banner.title }}</h2>
                <p>{{ banner.content }}</p>
                <div class="ylw_btn"><a :href="banner.url" class="btn" v-if="banner.url!=null && banner.url!=''"><span v-if="banner.button_label!=null && banner.button_label!=''">{{ banner.button_label }}</span ><span v-else>Read more</span> <i class="fas fa-arrow-right"></i></a></div>
                </div>
              </div>
            </div>
          </div>
        </div>

      </v-sheet>
    </v-carousel-item>
    </v-carousel>
    </section>
  </div>
</template>
<script>
import options from '~/assets/options';
export default {
  data() {
    return {
      home_banners: this.$store.state.front_end_data.home_banners,
      options: options
    }
  },
  mounted() {
    setTimeout(() => {
      slideBanner();
    }, 3000)
  },
  methods: {
    getBackgroundImage(banner) {
    if(banner.upload!=null) {
      return { 'background-image': `url(${options.storage_root}/${banner.upload.uploaded_path.replace('resized-', '')})` }
    } 
    else {
      return {'background-image' : 'none'};
    }
    }
  }
}
</script>
